Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class Operation

    java.lang.Object
      org.deegree.ogcwebservices.wfs.capabilities.Operation

    public class Operation

extends Object

Represents an element of type 'wfs:OperationType'.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary
`static String` | `DELETE` A string denoting 'Delete'
`static String` | `GET_GML_OBJECT` A string denoting 'GetGMLObject'
`static String` | `INSERT` A string denoting 'Insert'
`static String` | `LOCK` A string denoting 'Lock'
`static String` | `QUERY` A string denoting 'Query'
`static String` | `UPDATE` A string denoting 'Update'

Constructor Summary
`Operation(String operation)` Constructs a new OperationType.

Method Summary
`String` | `getOperation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSERT

    public static final String INSERT

  A string denoting 'Insert'

  See Also:
    Constant Field Values

### UPDATE

    public static final String UPDATE

  A string denoting 'Update'

  See Also:
    Constant Field Values

### DELETE

    public static final String DELETE

  A string denoting 'Delete'

  See Also:
    Constant Field Values

### QUERY

    public static final String QUERY

  A string denoting 'Query'

  See Also:
    Constant Field Values

### LOCK

    public static final String LOCK

  A string denoting 'Lock'

  See Also:
    Constant Field Values

### GET_GML_OBJECT

    public static final String GET_GML_OBJECT

  A string denoting 'GetGMLObject'

  See Also:
    Constant Field Values

Constructor Detail

### Operation

    public Operation(String operation)
              throws InvalidParameterException

  Constructs a new OperationType.

  Parameters:
    `operation` -
  Throws:
    `InvalidParameterException`

Method Detail

### getOperation

    public String getOperation()

  Returns:
    the type of the operation as a `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org